org.eclipse.cdt.core.parser

## Class StandardAttributes

- java.lang.Object
- - org.eclipse.cdt.core.parser.StandardAttributes

    public class StandardAttributes
    extends Object

Since:
  6.3
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

Fields
`static String` `CARRIES_DEPENDENCY`
`static char[]` `cCARRIES_DEPENDENCY`
`static char[]` `cDEPRECATED`
`static char[]` `cFALLTHROUGH`
`static char[]` `cMAYBE_UNUSED`
`static char[]` `cNODISCARD`
`static char[]` `cNORETURN`
`static String` `DEPRECATED`
`static String` `FALLTHROUGH`
`static String` `MAYBE_UNUSED`
`static String` `NODISCARD`
`static String` `NORETURN`

### Constructor Summary

Constructors
Constructor and Description
`StandardAttributes()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CARRIES_DEPENDENCY

    public static final String CARRIES_DEPENDENCY

See Also:
  Constant Field Values

#### DEPRECATED

    public static final String DEPRECATED

See Also:
  Constant Field Values

#### FALLTHROUGH

    public static final String FALLTHROUGH

See Also:
  Constant Field Values

#### MAYBE_UNUSED

    public static final String MAYBE_UNUSED

See Also:
  Constant Field Values

#### NODISCARD

    public static final String NODISCARD

See Also:
  Constant Field Values

#### NORETURN

    public static final String NORETURN

See Also:
  Constant Field Values

#### cCARRIES_DEPENDENCY

    public static final char[] cCARRIES_DEPENDENCY

#### cDEPRECATED

    public static final char[] cDEPRECATED

#### cFALLTHROUGH

    public static final char[] cFALLTHROUGH

#### cMAYBE_UNUSED

    public static final char[] cMAYBE_UNUSED

#### cNODISCARD

    public static final char[] cNODISCARD

#### cNORETURN

    public static final char[] cNORETURN

### Constructor Detail

#### StandardAttributes

    public StandardAttributes()